<?xml version="1.0" encoding="UTF-8"?>
<!--
***********************************************************************
** Produces a list of theaters for WML-enabled devices.
********************************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="city_id" select="'stl'"/>
	
	<xsl:output method="xml" 
	version="1.0" encoding="UTF-8" indent="yes"
	 doctype-public="-//WAPFORUM//DTD WML 1.1//EN" 
	 doctype-system="http://www.wapforum.org/DTD/wml_1.1.xml"/>
	
	<!--
	*********************************************************************
	** The main template; creates the deck and the theaters card.
	******************************************************************-->
	<xsl:template match="/movies">
		<wml>
			<card id="theaters" title="Theaters">
				<!-- select the appropriate city -->
				<xsl:apply-templates select="city[@id=$city_id]"/>
				<p>
					<em>
						<a href="movieguide">Change city...</a>
					</em>
				</p>
			</card>
		</wml>
	</xsl:template>
	
	<!--
	*********************************************************************
	** Show details for a city.
	******************************************************************-->
	<xsl:template match="city">
		<p>
			<big><xsl:value-of select="name"/></big>
		</p>
		<p>Select a theater:</p>
		<p>
			<!-- show a list of all theaters in this city -->
			<xsl:apply-templates select="theater"/>
		</p>
	</xsl:template>
			
	<!--
	*********************************************************************
	** Create a link for an individual theater.
	******************************************************************-->
	<xsl:template match="theater">
			<a href="movieguide?action=showtimes&amp;city={
			       $city_id}&amp;theater={@id}">
				<xsl:value-of select="name"/>
			</a>
			<br/>
	</xsl:template>
</xsl:stylesheet>
