<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<!--******************************************************
	    ** "/" template
	    ***************************************************-->
	<xsl:template match="/">
		<html>
			<body>
				<h1>Conditional Processing Examples</h1>
				<xsl:apply-templates select="presidents"/>
			</body>
		</html>
	</xsl:template>
	<!--******************************************************
	    ** "presidents" template
	    ***************************************************-->
	<xsl:template match="presidents">
		<h3>
			List of
				<xsl:value-of select="count(president)"/>
			Presidents
		</h3>
		<ul>
			<xsl:for-each select="president">
				<li>
					<!-- display every other row in bold -->
					<xsl:if test="(position() mod 2) = 0">
						<xsl:attribute name="style">
							<xsl:text>font-weight: bold;</xsl:text>
						</xsl:attribute>
					</xsl:if>
					<xsl:apply-templates select="name"/>
					<!-- display some text after the last element -->
					<xsl:if test="position() = last()">
						<xsl:text> (current president)</xsl:text>
					</xsl:if>
				</li>
			</xsl:for-each>
		</ul>
	</xsl:template>
	<!--******************************************************
	    ** "name" template
	    ***************************************************-->
	<xsl:template match="name">
		<xsl:value-of select="last"/>
		<xsl:text>, </xsl:text>
		<xsl:value-of select="first"/>
		<xsl:if test="middle">
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			<xsl:value-of select="middle"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
