<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	
	<!--
	  ** Demonstrates how to use template modes
	  -->
	<xsl:template match="/">
		<html>
			<body>

				<h2>Presidents in an HTML Table</h2>
				<table border="1">
					<tr>
						<th>Last Name</th>
						<th>First Name</th>
					</tr>
					<xsl:apply-templates select="//president" mode="table"/>
				</table>
				
				<h2>Presidents in an Unordered List</h2>
				<ul>
					<xsl:apply-templates select="//president" mode="list"/>
				</ul>
			</body>
		</html>
	</xsl:template>
	
	<!--
	  ** Display a president's name as a table row
	  -->
	<xsl:template match="president" mode="table">
		<tr>
			<td>
				<xsl:value-of select="name/last"/>
			</td>
			<td>
				<xsl:value-of select="name/first"/>
			</td>
		</tr>
	</xsl:template>
	
	<!--
	  ** Display a president's name as a list item
	  -->
	<xsl:template match="president" mode="list">
		<li>
			<xsl:value-of select="name/last"/>
			<xsl:text>, </xsl:text>
			<xsl:value-of select="name/first"/>
		</li>
	</xsl:template>
	
</xsl:stylesheet>
